clang-tools 8.0.0

Public Attributes | List of all members
clang::clangd::DocumentFormattingParams Struct Reference

`#include <Protocol.h>`

Collaboration diagram for clang::clangd::DocumentFormattingParams:
[legend]

## Public Attributes
TextDocumentIdentifier | textDocument
| The document to format. More...
FormattingOptions | options
| The format options. More...

## Detailed Description

Definition at line 545 of file Protocol.h.

## Member Data Documentation

## ◆ options

FormattingOptions clang::clangd::DocumentFormattingParams::options

The format options.

Definition at line 550 of file Protocol.h.

Referenced by clang::clangd::fromJSON().

## ◆ textDocument

TextDocumentIdentifier clang::clangd::DocumentFormattingParams::textDocument

The document to format.

Definition at line 547 of file Protocol.h.

Referenced by clang::clangd::fromJSON().

The documentation for this struct was generated from the following file:

- Protocol.h